part of 'comment_like_cubit.dart';

sealed class CommentLikeState extends Equatable {
  final int? like;
  final int? disLike;
  const CommentLikeState({this.like, this.disLike});

  @override
  List<Object> get props => [];
}

final class CommentLikeInitial extends CommentLikeState {
  const CommentLikeInitial({super.like, super.disLike});
}

final class CommentLikeLoading extends CommentLikeState {}

final class CommentLiked extends CommentLikeState {
  const CommentLiked({super.like, super.disLike});
}

final class CommentDisLiked extends CommentLikeState {
  const CommentDisLiked({super.like, super.disLike});
}
